/*
  Arduino KY-038 Mini Ses Sensörü Modülü

  Arduino 37 parça sensör setinin bir parçası olan Mini Ses Sensörü modülünün örnek
  sketch'idir. Mikrofon ve karşılaştırıcıdan oluşan ses sensörünün dijital ve analog
  okumasını yapar ve Seri Port Ekranı'nda görüntüler.

  KY-037 kodlu sensör de bu sensör ile aynı bağlantı ve kodu kullanır.

  Setin diğer parçalarının açıklama ve örnek kodlarına
  web sitemizden ulaşabilirsiniz.

  Oluşturma: 7 Ekim 2021 / Mete Hoca

  https://www.metehoca.com/
*/

int led = 13;    // Arduino'nun Dahili LED'i
int dijital = 2; // (D0) Dijital bağlantı
int analog = A0; // (A0) Analog bağlantı
                 // + ve G pinlerini Arduino üzerinde 5V(+) ve GND(G)'ye bağlamalıyız

void setup ()
{
  pinMode(led, OUTPUT);                 // LED'i çıkış olarak ayarlıyoruz
  pinMode(dijital, INPUT);              // Dijital bağlantıyı giriş olarak ayarlıyoruz
  pinMode(analog, INPUT);               // Analog bağlantıyı giriş olarak ayarlıyoruz
  Serial.begin(9600);                   // Seri Port Ekranı'nı doğru ayarlamayı unutmayın
}

void loop (){
  if (digitalRead(dijital) == HIGH) {   // Bir ses algılanırsa dijital bağlantı aktif olur
    Serial.print("Ses Algılandı! | ");  // Dijital bağlantı bir ses algılandığını bildirdi
    digitalWrite(led, HIGH);            // Biz de bu algılamayı LED'i yakarak görüntüleriz
    Serial.print("Analog Değer: ");     // Analog değer 0-1023 arasında okunur
    Serial.println(analogRead(analog)); // LED yandığı anda okunan analog değer görüntülenir
    delay(100);                         // İlk algılamadan sonra biraz bekleyelim
  }
  else {
    digitalWrite(led, LOW);             // Ses algılanmadığı zaman LED söndürülür
  }
}
